<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

$bad_words = array(
  0 => "slowo1",
  1 => "slowo2",
  2 => "slowo3",
  3 => "slowo4"
);
function censore($str, $bad_words_array)
{
  foreach($bad_words_array as $bad_word){
    $str = str_replace($bad_word, "[OCENZUROWANO]", $str);
  }
  return $str;
}
$tekst = censore("Słowa slowo1 i slowo2 podlegają cenzurze.", $bad_words);
echo($tekst);
?>
